# Authority: vip-ire
# Name: Daniel Berteaud

%define name smeserver-mozilla-sync-server
%define version 0.0.1
%define release 0.beta3
Summary: sme server integration of Firefox Sync Server
Name: %{name}
Version: %{version}
Release: %{release}%{?dist}
License: GNU GPL
URL: https://wiki.mozilla.org/Firefox_Sync
Group: SMEserver/addon
Source: %{name}-%{version}.tar.gz

BuildArchitectures: noarch
BuildRequires: e-smith-devtools
BuildRoot: /var/tmp/%{name}-%{version}
Requires: e-smith-base >= 5.2.0-56
Requires: mozilla-sync-server
Requires: python26-wsgiproxy
Requires: python26-mysqldb
Requires: smeserver-webapps-common

%description
smserver integration of Firefox Sync Server.
The Firefox Sync Server (formelly known as Weave) lets you
sync history, settings, passwords, tabs etc... between several
devices or computers

%changelog
* Sun Sep 2 2012 Daniel Berteaud <daniel@firewall-services.com> 0.0.1
- Initial release

%prep
%setup

%build
perl ./createlinks

%install
rm -rf $RPM_BUILD_ROOT
(cd root   ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT \
        > %{name}-%{version}-filelist
echo "%doc CHANGELOG.git" >> %{name}-%{version}-filelist

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)

%clean
rm -rf $RPM_BUILD_ROOT


%postun

